# Full-Stack Next.js tRPC App: User Registration & Login Example

In this article, we'll build a full-stack Next.js tRPC app to register and sign in a user using React Query, TypeScript, React-Hook-Form, and Zod.

![Full-Stack Next.js tRPC App: User Registration & Login Example](https://codevoweb.com/wp-content/uploads/2022/08/Full-Stack-Next.js-tRPC-App-User-Registration-Login-Example.webp)

## Topics Covered

- Next.js tRPC API Server and Client Overview
- Setup the Next.js tRPC Server and Client
- Add the Zustand State Management Library
- Create Reusable Next.js Components
    - Create a Loading Spinner Component
    - Create a Loading Button Component
    - Create a FullScreen Loader Component
    - Create the tRPC Client Header Component
    - Create an InputField Component with React-Hook-Form
    - Create an Image Uploader Component
- Create the tRPC Client to Register a User
- Create the tRPC Client to Sign in the User
- Create the tRPC Authentication Guard
- Create the Remaining Next.js Pages
    - Home Page
    - Profile Page
- Update the App File

Read the entire article here: [https://codevoweb.com/fullstack-nextjs-trpc-app-user-registration-login-example](https://codevoweb.com/fullstack-nextjs-trpc-app-user-registration-login-example)

Articles in this series:

### 1. How to Setup tRPC API Server & Client with Next.js and Prisma

[How to Setup tRPC API Server & Client with Next.js and Prisma](https://codevoweb.com/setup-trpc-api-server-client-with-nextjs-and-prisma)

### 2. Build tRPC API with Next.js & PostgreSQL: Access & Refresh Tokens

[Build tRPC API with Next.js & PostgreSQL: Access & Refresh Tokens](https://codevoweb.com/trpc-api-with-nextjs-postgresql-access-refresh-tokens)

### 3. Full-Stack Next.js tRPC App: User Registration & Login Example

[Full-Stack Next.js tRPC App: User Registration & Login Example](https://codevoweb.com/fullstack-nextjs-trpc-app-user-registration-login-example/)

### 4. Build a tRPC CRUD API Example with Next.js

[Build a tRPC CRUD API Example with Next.js](https://codevoweb.com/build-a-trpc-crud-api-example-with-next-js/)
